<?php

namespace Litecms\PlanSettting\Repositories\Eloquent;

use Litecms\PlanSettting\Interfaces\PlanSettingsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PlanSettingsRepository extends BaseRepository implements PlanSettingsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.plan_settting.plan_settings.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.plan_settting.plan_settings.model.model');
    }
}
